## org.apache.ivy.osgi.updatesite.xml
Class EclipsePlugin

    java.lang.Object
      org.apache.ivy.osgi.updatesite.xml.EclipsePlugin

    public class EclipsePlugin

extends java.lang.Object

Constructor Summary
`EclipsePlugin()`

Method Summary
`java.lang.String` `getId()`
`Version` `getVersion()`
`void` `setFilter(java.lang.String value)`
`void` `setFragment(java.lang.String value)`
`void` `setId(java.lang.String id)`
`void` `setUnpack(boolean valueOf)`
`void` `setVersion(Version version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EclipsePlugin

    public EclipsePlugin()

Method Detail

### setId

    public void setId(java.lang.String id)

### getId

    public java.lang.String getId()

### setVersion

    public void setVersion(Version version)

### getVersion

    public Version getVersion()

### setUnpack

    public void setUnpack(boolean valueOf)

### setFragment

    public void setFragment(java.lang.String value)

### setFilter

    public void setFilter(java.lang.String value)